> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet Group



## OpenAPI

````yaml POST /api/v2/wallet-groups
openapi: 3.0.3
info:
  description: Multi-chain DEX trading API for developers
  license:
    name: ''
  title: Shuriken API v2
  version: 2.0.0
servers:
  - url: https://api.shuriken.trade
security: []
tags:
  - description: SplitNOW cross-chain split plan + execute
    name: V2 Splits
  - description: Wallet archive lifecycle (archive / unarchive / bulk-archive)
    name: Wallets
  - description: Token discovery, metadata, and pricing
    name: V2 Tokens
  - description: Quote and execute swaps
    name: V2 Swap
  - description: Limit orders and stop-loss
    name: V2 Trigger
  - description: Managed-agent invocation
    name: V2 Agents
  - description: Portfolio positions and PnL
    name: V2 Portfolio
  - description: User account management
    name: V2 Account
  - description: WebSocket stream discovery, session bootstrap, and channel authorization
    name: V2 WebSocket
  - description: Perpetual trading on Hyperliquid
    name: V2 Perps
  - description: Agent-proposed trade suggestions
    name: V2 Suggestions
paths:
  /api/v2/wallet-groups:
    post:
      tags:
        - super::wallet_groups
      operationId: create_wallet_group
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletGroupBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_WalletGroup'
          description: ''
        '400':
          description: GROUP_CHAIN_MISMATCH | GROUP_LIMIT_EXCEEDED | WALLET_NOT_FOUND
      security:
        - bearer_auth: []
components:
  schemas:
    CreateWalletGroupBody:
      properties:
        chain:
          nullable: true
          type: string
        name:
          type: string
        walletIds:
          items:
            type: string
          type: array
      required:
        - name
      type: object
    ApiResponse_WalletGroup:
      description: V2 success response envelope
      properties:
        data:
          properties:
            archived:
              description: >-
                Derived: true iff every member wallet is ARCHIVED and members is
                non-empty.
              type: boolean
            chain:
              nullable: true
              type: string
            createdAt:
              type: string
            groupId:
              type: string
            name:
              type: string
            updatedAt:
              type: string
            walletIds:
              items:
                type: string
              type: array
          required:
            - groupId
            - name
            - walletIds
            - createdAt
            - updatedAt
            - archived
          type: object
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
          nullable: true
        requestId:
          type: string
      required:
        - data
        - requestId
      type: object
    PaginationInfo:
      description: Page-based pagination info (per RFC)
      properties:
        hasMore:
          type: boolean
        limit:
          format: int32
          minimum: 0
          type: integer
        page:
          format: int32
          minimum: 0
          type: integer
        total:
          format: int32
          minimum: 0
          nullable: true
          type: integer
      required:
        - page
        - limit
        - hasMore
      type: object
  securitySchemes:
    bearer_auth:
      bearerFormat: JWT or sk_{keyId}_{secret}
      description: >-
        Use `Authorization: Bearer <jwt>` for user auth or `Authorization:
        Bearer sk_{keyId}_{secret}` for API key auth.
      scheme: bearer
      type: http

````